5

Has anyone installed postgres 9.5, the new release on a raspberry pi?

sudo apt-get install postgres installs 9.4.5 at the moment..

4
  • I have not seen a compiled version of 9.5 for either RPi models. Compiling 9.5 yourself will be fairly complicated, and will take a long time. If you don't absolutely need the latest version, I'd stick with the older.
    – Jacobm001
    Jan 17, 2016 at 22:05
  • hum, I need to run some sql scripts with some upsert.. will be waiting till someone compiles it I guess. Jan 17, 2016 at 22:13
  • 1
    It will probably be a lengthy wait. PostgreSQL 9.5 was just released on January 7th, and Arch Linux doesn't even have it in the primary branch of x86_64, let alone arm.
    – Jacobm001
    Jan 17, 2016 at 22:22
  • is there a reason you can't compile it yourself?
    – JayEye
    Apr 20, 2016 at 0:21

2 Answers 2

1

You could upgrade to the stretch version of Raspbian, it includes postgres 9.5 atm.

0

If you're willing to use Arch linux, the official repo now supports version 9.5.2-1. The version in the Raspbian repos is still 9.4 unfortunately.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.